# Hekili

## [v9.1.0-1.0.18](https://github.com/Hekili/hekili/tree/v9.1.0-1.0.18) (2021-08-19)
[Full Changelog](https://github.com/Hekili/hekili/compare/v9.1.0-1.0.17...v9.1.0-1.0.18) [Previous Releases](https://github.com/Hekili/hekili/releases)

- Don't cache Whirlwind or Rampage textures.  
- Suppress some target swap indicators if there are not additional targets to hit.  
- Arcane priority tweak to avoid premature Evocation in AOE.  
- Support Darkglare Medallion legendary name (vs. Darkglare Boon).  
- Remove debug print for trinket.  
- The spellcast for Tome of Monstrous Constructions is a different spell name/ID.  
- Balance, Marksmanship, Fire, Shadow, and Affliction updates.  
- Detect Drums of Deathly Ferocity as a Bloodlust effect.  
- Fix Tome of Monstrous Constructions aura detection (it's not cast by player).  
- Elemental:  Factor call\_of\_flame into Elemental durations.  
- Fix Demonic Tyrant detection (wipe emulated tyrants on reset).  
- More keybind detection updates.  
- Include SpellFlashCore with Hekili release.  
- More adjustments to Trinket 1/2 vs. Use Items.  
- Trinket 1 and Trinket 2 should not morph if the actual trinket already exists elsewhere in the priority.  
- Balance, Survival, Arcane, Demonology priority updates.  
- Refresh Use Items list on all gear updates.  
- Other part of identifying item-based abilities as triggering a self-buff.  
    Enable /hekili move/lock/unlock without opening config UI.  
    Implement /hekili priority for macroing priority swaps.  
    Add some SpellFlash enhancements.  
- Fix casting/channeling resetting after breaking a channeled spell.  
- Make IQD count as a self-buff trinket even though it's not always one.  
- Merge branch 'shadowlands' of https://github.com/Hekili/hekili into shadowlands  
- Survival priority update.  
- Balance priority update.  
- Merge pull request #1167 from UFTimmy/patch-1  
    Reduce CD Reduction of Crusader's Might  
- Beast Mastery:  re-enable Barbed Shot Grace Period.  
- Guardian, Balance priority update.  
- Shadow priority update.  
- When a recommendation breaks a channel, actually stop emulating the spellcast.  
- Courageous Ascension rank value fix.  
- Reduce CD Reduction of Crusader's Might  
    Patch 9.1 changed this from 1.5 to 1.0 seconds.  